### A free/open-source library for quantitative finance

Public Member Functions
ChfLiborSwapIsdaFix Class Reference

ChfLiborSwapIsdaFix index base class More...

`#include <ql/indexes/swap/chfliborswap.hpp>`

Inheritance diagram for ChfLiborSwapIsdaFix:
[legend]

List of all members.

## Public Member Functions

| ChfLiborSwapIsdaFix (const Period &tenor, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
| ChfLiborSwapIsdaFix (const Period &tenor, const Handle< YieldTermStructure > &forwarding, const Handle< YieldTermStructure > &discounting)

## Detailed Description

ChfLiborSwapIsdaFix index base class

CHF Libor Swap indexes fixed by ISDA in cooperation with Reuters and Intercapital Brokers at 11am London. Annual 30/360 vs 6M Libor, 1Y vs 3M Libor. Reuters page ISDAFIX4 or CHFSFIX=.

Further info can be found at <http://www.isda.org/fix/isdafix.html> or Reuters page ISDAFIX.